For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SupportGet Started
  • Modernfi Developer Hub
    • Overview for Developers
    • Getting Started
  • Topics
    • Using the Sandbox
    • Authentication
    • Account Structure
    • Idempotency
    • Transaction Records and Sweeps
    • Balance Fields
    • Interest
    • Reports
    • Versioning
    • Changelog
  • API Reference
      • GETList Accounts
      • POSTCreate Account
      • GETGet Account
      • DELClose Account
      • PATCHUpdate Account
      • GETGet Account Allocation
LogoLogo
Contact SupportGet Started
API ReferenceAccounts

Close Account

DELETE
/digital-banking/v1/accounts/:account_id
DELETE
/digital-banking/v1/accounts/:account_id
$curl -X DELETE https://api.modernfi.com/digital-banking/v1/accounts/account_id \
> -H "Authorization: Bearer <token>"
1{}
This endpoint closes an account after verifying access. If the account balance is not zero, the operation will liquidate the account and drop the balance to zero.
Was this page helpful?
Previous

Update Account

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"

Response

Successful Response

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error